import 'package:flutter/animation.dart';
import 'package:flutter/cupertino.dart';

class ScannerAnimation extends AnimatedWidget {
  final bool stopped;
  final double size;
  final double height;

  ScannerAnimation(this.stopped, this.size, this.height,
      {Key key, Animation<double> animation})
      : super(key: key, listenable: animation);

  Widget build(BuildContext context) {
    final Animation<double> animation = listenable;
    final scorePosition = (animation.value * (size * 1.6)) - (size - height);

    Color color1 = Color(0x5532CD32);
    Color color2 = Color(0x0032CD32);

    if (animation.status == AnimationStatus.reverse) {
      color1 = Color(0x0032CD32);
      color2 = Color(0x5532CD32);
    }

    return new Positioned.fill(
      bottom: scorePosition,
      child: Align(
        alignment: Alignment.center,
        child: new Opacity(
          opacity: (stopped) ? 0.0 : 1.0,
          child: Container(
            height: 45.0,
            width: size,
            decoration: new BoxDecoration(
                gradient: new LinearGradient(
              begin: Alignment.topCenter,
              end: Alignment.bottomCenter,
              stops: [0.1, 0.9],
              colors: [color1, color2],
            )),
          ))
        )
      );
  }
}